Skip to main content
Welcome to the preview portal — This is an early release of the new Doc Hub experience, with more content coming soon.

Incremental Authorization


Use this information to process an incremental authorization on attended or unattended parking devices. You can process multiple incremental authorizations for a single parking session.

Process an incremental authorization when the final transaction amount of the parking session is more than the amount of the initial authorization. When the final transaction amount is less than the total authorized amount, an automatic, host-generated partial reversal request is sent.

Endpoints

PATCH /pts/v2/payments/{id}

PATCH /pts/v2/payments/{id}

The {id} is the transaction ID returned in the response to the original authorization request.

Example

{  "clientReferenceInformation": {    "code": "test123",    "comments": "Parking Incremental Auth",    "partner": {      "developerId": "DEVID001",      "thirdPartyCertificationNumber": "prodTPCN",      "solutionId": "SOLID001"    }   },  "processingInformation": {    "authorizationOptions": {      "initiator": {        "storedCredentialUsed": true      }    }  },  "orderInformation": {    "amountDetails": {      "totalAmount": "10.00",      "currency": "USD"    }  },  "merchantInformation": {    "transactionLocalDateTime": "20260225115959"  }}
{  "_links": {    "authReversal": {      "method": "POST",      "href": "/pts/v2/payments/7720595927166430303812/reversals"    },    "self": {      "method": "GET",      "href": "/pts/v2/payments/7720598519496636603812"    },    "capture": {      "method": "POST",      "href": "/pts/v2/payments/7720595927166430303812/captures"    }  },  "clientReferenceInformation": {    "comments": "Parking Incremental Auth",    "code": "test123",    "partner": {      "developerId": "DEVID001",      "solutionId": "SOLID001"    }  },  "id": "7720598519496636603812",  "orderInformation": {    "amountDetails": {      "totalAmount": "30.00",      "authorizedAmount": "10.00",      "currency": "USD"    }  },  "paymentInformation": {    "accountFeatures": {      "category": "F"    }  },  "processorInformation": {    "systemTraceAuditNumber": "035730",    "approvalCode": "097617",    "transactionId": "306056819920688",    "responseCode": "00"  },  "reconciliationId": "7720595927166430303812",  "status": "AUTHORIZED",  "submitTimeUtc": "2026-02-25T22:50:52Z"}
FieldTypeDescription
clientReferenceInformation.code
clientReferenceInformation.commentsSet the value to Parking Incremental Auth.
clientReferenceInformation.partner.developerId assigns this value (maximum 8 characters) when you onboard as a partner. The example value is a placeholder: substitute your assigned developer ID.
clientReferenceInformation.partner.solutionId assigns this value (maximum 8 characters) when you onboard as a partner. The example value is a placeholder: substitute your assigned solution ID.
clientReferenceInformation.partner.thirdPartyCertificationNumber provides the value for this field.
merchantInformation.transactionLocalDateTime
orderInformation.amountDetails.currency
orderInformation.amountDetails.totalAmount
processingInformation.authorizationOptions.initiator.storedCredentialUsedSet the value to true.

Last published: October 28, 2026

Not available for your audience

This page isn't available for your current audience selection.